cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Masashi Katsumata (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CB-13788) Specify the minimum required version of google play services for plugins
Date Wed, 17 Jan 2018 07:54:00 GMT

    [ https://issues.apache.org/jira/browse/CB-13788?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16328414#comment-16328414
] 

Masashi Katsumata commented on CB-13788:
----------------------------------------

PR

https://github.com/apache/cordova-android/pull/428

> Specify the minimum required version of google play services for plugins
> ------------------------------------------------------------------------
>
>                 Key: CB-13788
>                 URL: https://issues.apache.org/jira/browse/CB-13788
>             Project: Apache Cordova
>          Issue Type: Improvement
>          Components: cordova-android
>    Affects Versions: cordova-android-7.0.0
>            Reporter: Masashi Katsumata
>            Assignee: Joe Bowser
>            Priority: Major
>              Labels: patch
>
> Many plugins use the Google Play Services SDK, but it is really heavy.
> Some developers want to specify particular versions, but not all of plugin developers.
> Some other developers don't want to update their plugin frequently, but want to specify
minimum required version.
> I found this code
> [https://github.com/apache/cordova-android/blob/673a6773b2f78ba76d2144c66ab7a3add78648ae/bin/templates/cordova/lib/builders/StudioBuilder.js#L177-L201]
> This allows us to specify like this
> *<framework src="com.google.android.gms:play-services" versions=">=11.8.0" />*
>  
> But the code does not accept particular module.
> *<framework src="com.google.android.gms:play-services-maps" versions=">=11.8.0"
/>*
>  
> In order to specify particular module, we need to change the code.
>  



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

---------------------------------------------------------------------
To unsubscribe, e-mail: issues-unsubscribe@cordova.apache.org
For additional commands, e-mail: issues-help@cordova.apache.org


Mime
View raw message